Деталі медіа (TMDB)
curl --request GET \
--url https://films.aartzz.pp.ua/api/detailsimport requests
url = "https://films.aartzz.pp.ua/api/details"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://films.aartzz.pp.ua/api/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://films.aartzz.pp.ua/api/details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://films.aartzz.pp.ua/api/details"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://films.aartzz.pp.ua/api/details")
.asString();require 'uri'
require 'net/http'
url = URI("https://films.aartzz.pp.ua/api/details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "1423191",
"imdbId": "tt1234567",
"type": "movie",
"title": "Resident Evil: Оселя Зла",
"originalTitle": "Resident Evil",
"year": 2026,
"overview": "Кур'єр отримує завдання доставити посилку...",
"genres": [
"Бойовик",
"Жахи",
"Фантастика"
],
"posterUrl": "https://image.tmdb.org/t/p/w500/3icyRAqgakNcQn6aDVz9libFmBA.jpg",
"backdropUrl": "https://image.tmdb.org/t/p/original/3icyRAqgakNcQn6aDVz9libFmBA.jpg",
"rating": 7.4,
"totalSeasons": 1
}{
"error": {
"code": "TURNSTILE_VERIFICATION_FAILED",
"message": "Помилка перевірки Cloudflare Turnstile або перевищено ліміт запитів.",
"details": {}
},
"traceId": "c08faa4f-c7e4-4c08-9346-cd988ca94afe"
}Catalog & Metadata
Media Details
Повертає вичерпні метадані про фільм або серіал за його TMDB або IMDB ідентифікатором.
GET
/
api
/
details
Деталі медіа (TMDB)
curl --request GET \
--url https://films.aartzz.pp.ua/api/detailsimport requests
url = "https://films.aartzz.pp.ua/api/details"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://films.aartzz.pp.ua/api/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://films.aartzz.pp.ua/api/details",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://films.aartzz.pp.ua/api/details"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://films.aartzz.pp.ua/api/details")
.asString();require 'uri'
require 'net/http'
url = URI("https://films.aartzz.pp.ua/api/details")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "1423191",
"imdbId": "tt1234567",
"type": "movie",
"title": "Resident Evil: Оселя Зла",
"originalTitle": "Resident Evil",
"year": 2026,
"overview": "Кур'єр отримує завдання доставити посилку...",
"genres": [
"Бойовик",
"Жахи",
"Фантастика"
],
"posterUrl": "https://image.tmdb.org/t/p/w500/3icyRAqgakNcQn6aDVz9libFmBA.jpg",
"backdropUrl": "https://image.tmdb.org/t/p/original/3icyRAqgakNcQn6aDVz9libFmBA.jpg",
"rating": 7.4,
"totalSeasons": 1
}{
"error": {
"code": "TURNSTILE_VERIFICATION_FAILED",
"message": "Помилка перевірки Cloudflare Turnstile або перевищено ліміт запитів.",
"details": {}
},
"traceId": "c08faa4f-c7e4-4c08-9346-cd988ca94afe"
}Query Parameters
TMDB ID або IMDB ID (tt...)
Example:
"1423191"
Тип медіа (movie або tv)
Available options:
movie, tv Response
Метадані медіа
Example:
"1423191"
Example:
"tt1234567"
Available options:
movie, tv Example:
"movie"
Example:
"Resident Evil: Оселя Зла"
Example:
"Resident Evil"
Example:
2026
Example:
"Кур'єр отримує завдання доставити посилку..."
Example:
["Бойовик", "Жахи", "Фантастика"]
Example:
"https://image.tmdb.org/t/p/w500/3icyRAqgakNcQn6aDVz9libFmBA.jpg"
Example:
"https://image.tmdb.org/t/p/original/3icyRAqgakNcQn6aDVz9libFmBA.jpg"
Example:
7.4
Example:
1